Loading...
Searching...
No Matches
caf::default_downstream_manager< F > Struct Template Reference

Selects a downstream manager implementation based on the signature of various handlers. More...

`#include <default_downstream_manager.hpp>`

## Public Types

using | fun_sig = typename detail::get_callable_trait<F>::fun_sig
| The function signature of F.
using | source_trait = stream_source_trait<fun_sig>
| The source trait for F.
using | stage_trait = stream_stage_trait<fun_sig>
| The stage trait for F.
using | output_type
| The output type as returned by the source or stage trait.
using | type = broadcast_downstream_manager<output_type>
| The default downstream manager deduced by this trait.

## Detailed Description

template<class F>
struct caf::default_downstream_manager< F >

Selects a downstream manager implementation based on the signature of various handlers.

## Member Typedef Documentation

## output_type

template<class F>

using caf::default_downstream_manager< F >::output_type

Initial value:
typename std::conditional<
source_trait::valid,
typename source_trait::output,
typename stage_trait::output
>::type
caf::default_downstream_manager::type
broadcast_downstream_manager< output_type > type
The default downstream manager deduced by this trait.
Definition default_downstream_manager.hpp:51

The output type as returned by the source or stage trait.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/default_downstream_manager.hpp